# Web Instant

Provides `Spot`, a version of `Instant` that works both on desktop and the web. On desktop, the internal representation uses `std::time::Instant`. On the web, the internal representation is an `f64`,
and uses `js_sys::Date` methods to cover functinality where required

## Install

`cargo add web_instant`

## Usage

```rust
use web_instant::Spot;
use std::time::Duration;

fn my_cross_platform_timer(last_time: Spot) {
    let time_diff: Duration = Spot::now() - last_time;
    println!("It has been {} seconds", time_diff.as_secs());
}
```
